MARTe2-core - User story #148

Lint: FastMath
28.06.2015 19:00 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/Architecture/x86_gcc/FastMathA.h
¢ Source/Core/LOPortability/FastMath.cpp
¢ Source/Core/L0Portability/FastMath.h

Architecture & design review

Date of the review: 21/07/2015

Person who did the review: Ivan Herrero

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does

not require formal design in UML.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 24/07/2015

Person who did the review: lvan Herrero

Result of review: PASS (with MISRA)

List of non-conformities: N/A

Unit test review

Date of the review: 24/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A
Associated revisions

Revision d762b18f - 21.07.2015 15:26 - Ivan Herrero

#148 - Minor corrections of documentation and formatting

Revision d2b48032 - 21.07.2015 15:31 - lvan Herrero
Merge branch '#148_FastMath' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #148_FastMath

Revision 675ae39e - 21.07.2015 16:22 - Llorenc Capella
US #148 FastMathTest minnor changes

List of changes: * Make.inc files modified in order to run the FastMathTest * Format all files.

Revision 0ecc67c2 - 24.07.2015 18:07 - lvan Herrero
#148 - Minor formatting corrections (following template rules)
Revision 02fe68a0 - 27.07.2015 07:27 - Giuseppe Ferro
Added FastMathA.h in Architecture/x86_cl

#148

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 17.07.2015 18:31 - Filippo Sartori
- Status changed from Code: Impl to Code: Rev

#5 - 17.07.2015 18:31 - Filippo Sartori
- Status changed from Code: Rev to Code: Impl

#6 - 21.07.2015 11:45 - Llorenc Capella

- Assignee set to Llorenc Capella

#7 - 21.07.2015 12:24 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#8 - 21.07.2015 12:26 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

FastMath Import from develop_svn and Linting done.

#9 - 21.07.2015 15:39 - lvan Herrero
- Description updated

- Status changed from Code: Rev to Unit: Impl

Review of code and documentation on revision 7b6c8bd.

Minor corrections of documentation and formatting conducted on revision d762b18.

#10 - 21.07.2015 15:40 - Llorenc Capella

- Assignee set to Llorenc Capella
#11 - 21.07.2015 16:23 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#12 - 21.07.2015 16:24 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

FastMathTest done.

#13 - 22.07.2015 17:00 - lvan Herrero

- Assignee set to Ivan Herrero

#14 - 22.07.2015 17:08 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Code: Impl

- Assignee deleted (Ilvan Herrero)

Code and documentation review made on 675ae39.

Note: It needs to be linted again, because the flexelint files were not properly configured (remember to add FastMath.cpp on marte_flint_files.Int).

#15 - 23.07.2015 17:44 - Llorenc Capella

- Assignee set to Llorenc Capella

#16 - 24.07.2015 12:57 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#17 - 24.07.2015 12:58 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

Linting done

#18 - 24.07.2015 17:28 - lvan Herrero

- Assignee set to Ivan Herrero

#19 - 24.07.2015 17:46 - lvan Herrero
- Description updated

- Assignee deleted (lvan Herrero)

Code review made on c73acf9.

#20 - 24.07.2015 17:47 - Ivan Herrero
- Status changed from Code: Rev to Unit: Impl

#21 - 24.07.2015 17:59 - Ilvan Herrero

- Assignee set to Ivan Herrero

#22 - 24.07.2015 18:00 - Ivan Herrero
- Status changed from Unit: Impl to Unit: Rev

- Assignee deleted (Ilvan Herrero)

All tests are already done on revision Code review made on c73acf9.

#23 - 24.07.2015 18:01 - Ivan Herrero

- Assignee set to Ivan Herrero

#24 - 24.07.2015 18:02 - Ilvan Herrero

- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (lvan Herrero)

Unit test review made on c73acf9.

#25 - 24.07.2015 19:03 - lvan Herrero

Unit test review actually made on revision Oecc67c.

Branch #148_FastMath merged on develop (commit df2db0c).

Branch #148_FastMath merged deleted.
